=== debian/changelog ===
netcdf-ffc5 (3.6.0-2) unstable; urgency=low

  * Rename source package name. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 10 May 2005 16:46:51 +0900

netcdf-ffc5 (3.6.0-1) unstable; urgency=low

  * New upstream release.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 21 Dec 2004 18:54:11 +0900

netcdf-ffc5 (3.5.1-1sarge-pre1) unstable; urgency=low

  * Initial release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 23 Jun 2004 19:46:53 +0900

netcdf-ffc5 (3.5.1-1) unstable; urgency=low

  * New upstream release

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Tue, 16 Mar 2004 18:10:05 +0900

netcdf-ffc5 (3.5.0-6) unstable; urgency=low

  * for Intel Fortran Compiler ver.8 (8.0.039) binary support 

 -- ODAKA Masatsugu <odakker@nishin>  Tue, 16 Mar 2004 18:00:38 +0900

netcdf-ffc5 (3.5.0-5) unstable; urgency=low

  * Intel Fortran Compiler ver.8 support.
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 14 Jan 2004 22:36:45 +0900
	
  * Fujitsu Fortran Compiler ver.4 support.
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu,  8 Jan 2004 15:52:19 +0900	
  * Intel Fortran Compiler ver.7 support.
  * New package for Fujitsu Fortran Compiler ver.3 added. 

 -- TAKEHIRO Shin-ichi <takepiro@potato>  Tue,  7 Jan 2003 18:37:37 +0900

netcdf-ffc5 (3.5.0-4) unstable; urgency=low

  * Intel Fortran Compiler ver.6 support. 
  * Document directory changed. 

 -- TAKEHIRO Shin-ichi <takepiro@debian>  Sun,  5 May 2002 16:31:14 +0900

netcdf-ffc5 (3.5.0-3) unstable; urgency=low

  * Intel Fortran version included.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Wed, 21 Nov 2001 15:22:21 +0900

netcdf-ffc5 (3.5.0-2) unstable; urgency=low

  * Make only static c and fortran library.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Sat, 10 Nov 2001 00:17:46 +0900

netcdf-ffc5 (3.5.0-1) unstable; urgency=low

  * Initial release.

 -- TAKEHIRO Shin-ichi <takepiro@gfd-dennou.org>  Fri,  9 Nov 2001 19:08:22 +0900

Local variables:
mode: debian-changelog
End:
