## netcdf-ffc5 3.6.1-1

=== debian/changelog ===
netcdf-ffc5 (3.6.1-1) unstable; urgency=low

  * New Upstream release.

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Fri,  5 Jan 2007 20:21:38 +0900
